package com.ferienclub.leisure;

import java.util.Comparator;
import java.util.Date;

public class LeisureOffer {
	
	private String name;
	private String preferenceName;
	private String facilityEndpointName;
	private int preferenceValue;
	private int numberOfPersons;
	private double price;
	private Date startTime;
	private Date endTime;
	
	public String getFacilityEndpointName() {
		return facilityEndpointName;
	}

	public void setFacilityEndpointName(String facilityEndpointName) {
		this.facilityEndpointName = facilityEndpointName;
	}

	public boolean equals(LeisureOffer o){
		return o.getName().equals(name);
	}
	
	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public LeisureOffer(){
	}
	
	public LeisureOffer(String name, 
			String preferenceName, 
			int preferenceValue, 
			int numberOfPersons,
			double price,
			Date startTime,
			Date endTime,
			String facilityEndpointName){
		this.name = name;
		this.preferenceName = preferenceName;
		this.preferenceValue = preferenceValue;
		this.numberOfPersons = numberOfPersons;
		this.price = price;
		this.startTime = startTime;
		this.endTime = endTime;
		this.facilityEndpointName = facilityEndpointName;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPreferenceName() {
		return preferenceName;
	}
	public void setPreferenceName(String preferenceName) {
		this.preferenceName = preferenceName;
	}
	public int getPreferenceValue() {
		return preferenceValue;
	}
	public void setPreferenceValue(int preferenceValue) {
		this.preferenceValue = preferenceValue;
	}

	public int getNumberOfPersons() {
		return numberOfPersons;
	}

	public void setNumberOfPersons(int numberOfPersons) {
		this.numberOfPersons = numberOfPersons;
	}
	
}
